> ## Documentation Index
> Fetch the complete documentation index at: https://developers.calendbook.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Event Calendar Overview

> Retrieves the calendar overview for a specific event and owner in the guest’s timezone. The request requires the the event_id, and the timezone. If successful, the API responds with 200 OK and returns the availability details so the guest can choose a free date.



## OpenAPI

````yaml api-reference/openapi.json get /calendars/{event_id}
openapi: 3.0.0
info:
  title: Calendbook OAUTH API
  version: 1.0.0
  description: ''
servers:
  - url: https://api.calendbook.com/
security: []
paths:
  /calendars/{event_id}:
    get:
      summary: Event Calendar Overview
      description: >-
        Retrieves the calendar overview for a specific event and owner in the
        guest’s timezone. The request requires the the event_id, and the
        timezone. If successful, the API responds with 200 OK and returns the
        availability details so the guest can choose a free date.
      parameters:
        - name: event_id
          in: path
          required: true
          schema:
            type: string
          example: 15min
        - name: start_date
          in: query
          required: true
          schema:
            type: string
            format: date
          example: '2025-08-20'
        - name: timezone
          in: query
          required: true
          schema:
            type: string
          example: Europe/Rome
        - name: period
          in: query
          description: >-
            Filter for the calendar overview. Format is {number}{unit}, where
            'd' = days, 'w' = weeks, 'm' = months. Examples: 1d (next 1 day), 1w
            (next 1 week), 1m (next 1 month). Maximum allowed period is less
            than 2 months.
          required: false
          schema:
            type: string
            pattern: ^[0-9]+[dwm]$
          example: 1m
        - name: start_date
          in: query
          required: false
          schema:
            type: string
            format: date
          example: '2025-08-31'
      responses:
        '200':
          description: Calendar availability details
          content:
            application/json:
              schema:
                type: object
                properties:
                  timezone:
                    type: string
                  availability:
                    type: object
                    properties:
                      disabled_dates:
                        type: object
                        properties:
                          days:
                            type: array
                            items:
                              type: string
                              format: date
                          months:
                            type: array
                            items:
                              type: string
                              format: number
                      first_available_date:
                        type: string
                        format: date-time
                      weekly:
                        type: object
                        properties:
                          week_days:
                            type: object
                            properties:
                              mon:
                                type: boolean
                              tue:
                                type: boolean
                              wed:
                                type: boolean
                              thu:
                                type: boolean
                              fri:
                                type: boolean
                              sat:
                                type: boolean
                              sun:
                                type: boolean
                      last_available_date:
                        type: string
                        format: date-time
                        nullable: true
                      available_dates:
                        type: array
                        items:
                          type: string
                          format: date
        '400':
          description: Bad Request
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````